Firefox 3.0 nie zadziała w Win98

sensację sprzed dwóch miesięcy odkrył PCWK. ;-)

Artykuł, mimo że z czerwca, ma dużo "gdybań" i domysłów – i to zupełnie niepotrzebnie, bo o większości z tych spraw można już się wypowiadać używając trybu oznajmującego, a nie przypuszczającego.

Podsumujmy.

Tak, Firefox 3.0 i ogólnie wszystkie programy oparte na Gecko 1.9 nie zadziałają w Windows 95, 98, ME oraz NT 4. To nie jest "rozważane" ani "debatowane", to się już dokonało – wsparcie dla 9x/NT4 istnieje już tylko w gałęzi 1.8.0 (Firefox 1.5.x) i 1.8.1 (Bon Echo vel Firefox 2), z "pnia" kodu (z którego wyrośnie kiedyś gałąź 1.9) obsługa Windows starszych niż 2000 została usunięta.

Powodów tej "wycinki" jest kilka:

  • Cairo, którego Gecko 1.9 będzie używać jako podsystemu graficznego także w Win32, nie działa w Windows 98;
  • Dalsza obsługa zabytkowych systemów wprowadza bałagan w kodzie i coraz bardziej utrudnia dalszy rozwój programu (przypomina się powiedzenie, że "realny socjalizm bohatersko pokonuje trudności… nieznane nigdzie indziej" – tu jest podobnie);
  • Nie znalazł się nikt, kto chciałby poprowadzić projekt biblioteki pośredniczącej, w która miałaby implementować brakującą w Win9x funkcjonalność;
  • Microsoft ogłosił, że "koniec życia" Windows 98 nastąpi w lipcu 2006.

Firefox 2, który będzie utrzymywany przez około rok od chwili wydania – czyli do późnego 2007 r. będzie wciąż obsługiwał Windows 98. Mozilla będzie więc wspierać Windows 98 o rok dłużej niż Microsoft.

13 responses to “Firefox 3.0 nie zadziała w Win98

  1. Barabarian Barabarzyńca

    Czy to, że Gecko będzie “Cairo (…) używać jako podsystemu graficznego” znaczy, że Gecko już nie posłuży do wyświetlania GUI programu?

  2. Jak się nieudolnie przenosi niusy ze Slashdota to takie właśnie są efekty..

  3. Barabarian: Nie, dlaczego miałoby to oznaczać?!

  4. Barabarian Barabarzyńca

    Dlatego, że “Cairo, którego Gecko 1.9 będzie używać jako podsystemu graficznego także w Win32” :P

  5. Gecko będzie działać na Cairo. Poza tym nic się nie zmienia w tym względzie, to, co Gecko wyświetlało dotychczas, będzie wyświetlało nadal. Nie widzę związku…

  6. Generalnie to mi ryba oczywiście bo wynalazki w stylu win98 sa mi obce, no i rozumiem ze takie cuda jak macOS 9 (do mozilla 1.2.1 wlacznie chyba), czy win

  7. A jeszcze niedawno środowisko się chwaliło, że jak IE7 wyjdzie tylko na Longhorna, to Firefox zgarnie jeszcze więcej rynku, bo będzie obsługiwał starsze wersje Windowsów, na których będzie jedną z niewielu nowoczesnych przeglądarek. :/

  8. Nerf: Starsze wersje Windowsów będą wspierane po wyjściu Visty – starsze, czyli 2000/XP/2003.

    A, jak wspomniałem, 2.0 nadal będzie dla także dla 9x/ME/NT4.

  9. Z drugiej strony to i tak nie ma znaczenia, bo komputery z win98 z reguły są tak wypasione, że nic oprócz Opery i IE na nich nie zadziała…

  10. dzięki Bogu, że będzie działać pod w2k…
    ufff

  11. “programy oparte na Gecko 1.9 nie zadziałają w Windows 95, 98, ME oraz NT 4” “obsługa Windows starszych niż 2000 została usunięta.” – to się WYKLUCZA, bo WinME jest NOWSZE niż w2000… nie cierpię tego uogólnienia, zresztą w winy MS to wyszło.. jednak, czego nie ma system graficzny win95/98/ME? chyba tylko kanału alpha dla okna… i to będzie taki “atrakcyjny” ficzer w ff3?

  12. AtoMan: A kto powiedział, że to będzie “ficzer”? Cairo to tylko nowy podsystemm graficzny, nikt nawet nie mówi, że dzięki niemu można uzyskać atrakcyjniejszy wygląd. Ale znając życie będzie szybszy itd. Ja na przykład mam dosyć wsparcia dla zabytkowych systemów i chociażby systemów optymalizowanych pod architekturę i386. Na moim sprzęcie wszystko wolniej chodzi przez to… Nie widzę żadnych sensownych argumentów za korzystaniem z systemów Windows starszych niż XP. Jeżeli ktoś ma słaby sprzęt, albo nie stać go na aktualizację to przecież może sobie zainstalować jakiś darmowy system…

  13. Muszę przyznać, że czasem wprawia mnie w osłupienie polska mentalność wyrażająca się w “wszyscy są głupi, ja jestem cwany”. Ale nie o tym chciałem. Proszę zwrócić uwagę, że dyskusja na temat porzucenia kompatybilności z W98 w Firefoksie jest żywa i toczy się do dziś:
    http://tinyurl.com/me96b

    Przypominam też, że tuż po ogłoszeniu przez MS informacji o zarzuceniu prac nad łatami dla Windows 98, natychmiast wykształciła się grupa ludzi tworzących własne service packi – to jest raczej reguła niż ewenement. Stąd też tryb przypuszczający: choć decyzję już podjęto (o czym, zdaje się, piszę), nie wiadomo, czy pewnego dnia ktoś się jej nie sprzeciwi i nie zacznie pracować nad własnymi odgałęzieniami Firefoksa 3.x przeznaczonymi np. dla NT4, bo to całkiem niezłe i wydajne systemy operacyjne.

    W każdym razie dziękuję za sprostowanie.

    Pozdrawiam,
    ŁB

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

MDN

Better JavaScript docs for a better Web on MDN

Archiwum

%d bloggers like this: